package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag196;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT196Creator;

public class Tag21Creator extends AbsTagCreate {
    private MT196Creator mt196Creator;

    public Tag21Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt196Creator = (MT196Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag21Value = mt196Creator.getRelatedReference();
        mt196Creator.set("21", tag21Value);
    }
}

